package cn.hnthyy.thmz.service.thmz;

import cn.hnthyy.thmz.entity.thmz.FileUpload;

import java.util.List;

public interface FileUploadService {

    FileUpload queryByName(String name);

    FileUpload queryByid(Long id);

    void saveUploadFile(FileUpload fileUpload);

    /**
     * 查询文件总数
     *
     * @param fileUpload
     * @return
     */
    Integer queryCountFileUpload(FileUpload fileUpload);

    /**
     * 分页查询文件
     *
     * @param fileUpload
     * @return
     */
    List<FileUpload> queryFileUploadWithPage(FileUpload fileUpload);
}